<dx-data-grid class="gridContainer box-shadow" #gridGa [columnAutoWidth]='true' [allowColumnResizing]='true'
    [allowColumnReordering]='true' [rowAlternationEnabled]='ui.rowAlternationEnabled'
    [showColumnLines]='ui.showColumnLines' [showRowLines]='ui.showRowLines' [dataSource]='dsGa' [height]='ui.fullHeight'
    (onToolbarPreparing)='toolbarPreparing($event)'>
    <dxo-export [enabled]='true' [enabled]='true' fileName='geographicareas'></dxo-export>
    <dxo-header-filter [visible]='true'></dxo-header-filter>
    <dxo-remote-operations [sorting]="true" [paging]="true" [filtering]="true"></dxo-remote-operations>
    <dxo-scrolling mode='virtual' showScrollbar='onHover' [useNative]='true'></dxo-scrolling>
    <dxo-search-panel [visible]='true'></dxo-search-panel>

    <dxi-column caption='Denumire' dataField='name' dataType='string' [allowHeaderFiltering]='false'></dxi-column>
    <dxi-column caption='Tip zonă' dataField='typeId' dataType='number'>
        <dxo-lookup [dataSource]='ds.zoneType' valueExpr='id' displayExpr='name'></dxo-lookup>
    </dxi-column>
    <dxi-column caption='Zonă Părinte' dataField='parentId' dataType='string'>
        <dxo-lookup [dataSource]='dsGa' valueExpr='id' displayExpr='name'></dxo-lookup>
    </dxi-column>
    <dxi-column type="buttons" fixedPosition='left' width='110' [fixed]='true' [allowResizing]='false'
        [showInColumnChooser]='false' [visible]='ds.isSuperAdmin'>
        <dxi-button hint='Editează' icon="edit" [onClick]="onEditGareasClick"></dxi-button>
        <dxi-button hint='Șterge' icon='trash' [onClick]="onDeleteGareasClick"></dxi-button>
    </dxi-column> -->

</dx-data-grid>

<dx-popup [(visible)]='isGeoAreasVisible' [minWidth]='ui.minWidthPopup' maxWidth='90vw' width='auto' minHeight='300' maxHeight='90vh'
    height='auto' title='Zona geografica'>
    <div *dxTemplate="let data of 'content'">
        <app-edit-garea [GareasData]='currentGeo'></app-edit-garea>
    </div>
    <dxi-toolbar-item toolbar="bottom" location="after" widget="dxButton"
        [options]="{ text:'Salvează', icon:'save', type: 'normal', onClick: onSaveGeo, validationGroup:'gAreasValidation' }">
    </dxi-toolbar-item>
</dx-popup>